Subject: bug#11514: 24.0.97; gnus-user-agent no longer sets up Gcc

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Fri, 08 Jun 2012 01:00:30 +0200

Romain Francoise <[email-masked]> writes:

> Which is rather suboptimal... if the user explicitly configured
> `gnus-user-agent' then we should start enough Gnus bits to make Gcc
> (and other Gnus features) work. If that's not possible then it should
> complain loudly about the downgrade, or refuse to work at all. Losing
> outgoing mail isn't nice.

No, it's not, but we really kinda have to start all of Gnus to make Gcc
handling work completely.  So if you have `gnus-user-agent', and just
start Emacs to send off a single email, then you'd be sitting there
waiting for Gnus to start.

I've added a warning message to Ma Gnus now, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/